Package org.apache.activemq.artemis.spi.core.protocol

## Class AbstractProtocolManager<P,​I extends BaseInterceptor<P>,​C extends RemotingConnection,​R extends org.apache.activemq.artemis.core.server.routing.RoutingHandler>

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.protocol.AbstractProtocolManager<P,​I,​C,​R>

- All Implemented Interfaces:
    `ProtocolManager<I,​R>`

      public abstract class AbstractProtocolManager<P,​I extends BaseInterceptor<P>,​C extends RemotingConnection,​R extends org.apache.activemq.artemis.core.server.routing.RoutingHandler>
      extends java.lang.Object
      implements ProtocolManager<I,​R>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractProtocolManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<org.apache.activemq.artemis.api.core.SimpleString,​org.apache.activemq.artemis.api.core.RoutingType>` | `getPrefixes()` |
    `java.lang.String` | `getSecurityDomain()` |
    `protected java.lang.String` | `invokeInterceptors​(java.util.List<I> interceptors, P message, C connection)` |
    `void` | `setAnycastPrefix​(java.lang.String anycastPrefix)` |
    `void` | `setMulticastPrefix​(java.lang.String multicastPrefix)` |
    `void` | `setSecurityDomain​(java.lang.String securityDomain)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.spi.core.protocol.ProtocolManager

      `acceptsNoHandshake, addChannelHandlers, createConnectionEntry, getFactory, getRoutingHandler, handleBuffer, handshake, isProtocol, removeHandler, updateInterceptors, websocketSubprotocolIdentifiers`

- - ### Constructor Detail

    - #### AbstractProtocolManager

          public AbstractProtocolManager()

  - ### Method Detail

    - #### invokeInterceptors

          protected java.lang.String invokeInterceptors​(java.util.List<I> interceptors,
                                                        P message,
                                                        C connection)

    - #### setAnycastPrefix

          public void setAnycastPrefix​(java.lang.String anycastPrefix)

      Specified by:
        `setAnycastPrefix` in interface `ProtocolManager<P,​I extends BaseInterceptor<P>>`

    - #### setMulticastPrefix

          public void setMulticastPrefix​(java.lang.String multicastPrefix)

      Specified by:
        `setMulticastPrefix` in interface `ProtocolManager<P,​I extends BaseInterceptor<P>>`

    - #### getPrefixes

          public java.util.Map<org.apache.activemq.artemis.api.core.SimpleString,​org.apache.activemq.artemis.api.core.RoutingType> getPrefixes()

      Specified by:
        `getPrefixes` in interface `ProtocolManager<P,​I extends BaseInterceptor<P>>`

    - #### getSecurityDomain

          public java.lang.String getSecurityDomain()

      Specified by:
        `getSecurityDomain` in interface `ProtocolManager<P,​I extends BaseInterceptor<P>>`

    - #### setSecurityDomain

          public void setSecurityDomain​(java.lang.String securityDomain)

      Specified by:
        `setSecurityDomain` in interface `ProtocolManager<P,​I extends BaseInterceptor<P>>`